Package org.picocontainer

# Interface Behavior<T>

All Superinterfaces:
  `ComponentAdapter<T>`, `ComponentLifecycle<T>`

All Known Implementing Classes:
  `AbstractBehavior`, `Automated`, `Cached`, `Decorated`, `FieldDecorated`, `Guarded`, `HiddenImplementation`, `Intercepted`, `Locked`, `PropertyApplicator`, `Stored`, `Synchronized`, `ThreadCached`

public interface Behavior<T> extends ComponentAdapter<T>, ComponentLifecycle<T>
Behaviors modify the components created by a Injector with additional behaviors

Author:
  Paul Hammant, Jörg Schaible, Mauro Talevi
See Also:
  - `LifecycleStrategy`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter

`ComponentAdapter.NOTHING`

## Method Summary

### Methods inherited from interface org.picocontainer.ComponentAdapter

`accept, findAdapterOfType, getComponentImplementation, getComponentInstance, getComponentInstance, getComponentKey, getDelegate, getDescriptor, verify`

### Methods inherited from interface org.picocontainer.ComponentLifecycle

`componentHasLifecycle, dispose, isStarted, start, stop`